net.minecraft.command

## Class CommandBase

- java.lang.Object
- - net.minecraft.command.CommandBase

- All Implemented Interfaces:
    java.lang.Comparable, ICommand
  Direct Known Subclasses:
    CommandAchievement, CommandBanIp, CommandBanPlayer, CommandBroadcast, CommandClearInventory, CommandDebug, CommandDeOp, CommandDifficulty, CommandEffect, CommandEmote, CommandEnchant, CommandGameMode, CommandGameRule, CommandGive, CommandHelp, CommandKill, CommandListBans, CommandListPlayers, CommandMessage, CommandMessageRaw, CommandOp, CommandPardonIp, CommandPardonPlayer, CommandPlaySound, CommandPublishLocalServer, CommandSaveAll, CommandSaveOff, CommandSaveOn, CommandScoreboard, CommandServerKick, CommandSetBlock, CommandSetDefaultSpawnpoint, CommandSetPlayerTimeout, CommandSetSpawnpoint, CommandShowSeed, CommandSpreadPlayers, CommandStop, CommandSummon, CommandTeleport, CommandTestFor, CommandTestForBlock, CommandTime, CommandToggleDownfall, CommandWeather, CommandWhitelist, CommandXP, ForgeCommand

      public abstract class CommandBase
      extends java.lang.Object
      implements ICommand

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `CommandBase()`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `java.util.List` | `addTabCompletionOptions(ICommandSender par1ICommandSender, java.lang.String[] par2ArrayOfStr)`
    `boolean` | `canCommandSenderUseCommand(ICommandSender par1ICommandSender)`
    `int` | `compareTo(ICommand par1ICommand)`
    `int` | `compareTo(java.lang.Object par1Obj)`
    `static boolean` | `doesStringStartWith(java.lang.String par0Str, java.lang.String par1Str)`
    `static double` | `func_110665_a(ICommandSender par0ICommandSender, double par1, java.lang.String par3Str, int par4, int par5)`
    `static double` | `func_110666_a(ICommandSender par0ICommandSender, double par1, java.lang.String par3Str)`
    `static IChatComponent` | `func_147176_a(ICommandSender p_147176_0_, java.lang.String[] p_147176_1_, int p_147176_2_, boolean p_147176_3_)`
    `static IChatComponent` | `func_147178_a(ICommandSender p_147178_0_, java.lang.String[] p_147178_1_, int p_147178_2_)`
    `static java.lang.String` | `func_82360_a(ICommandSender par0ICommandSender, java.lang.String[] par1ArrayOfStr, int par2)`
    `static java.lang.String` | `func_96332_d(ICommandSender par0ICommandSender, java.lang.String par1Str)`
    `static Block` | `getBlockByText(ICommandSender p_147180_0_, java.lang.String p_147180_1_)`
    `java.util.List` | `getCommandAliases()`
    `static EntityPlayerMP` | `getCommandSenderAsPlayer(ICommandSender par0ICommandSender)`
    `static Item` | `getItemByText(ICommandSender p_147179_0_, java.lang.String p_147179_1_)`
    `static java.util.List` | `getListOfStringsFromIterableMatchingLastWord(java.lang.String[] par0ArrayOfStr, java.lang.Iterable par1Iterable)`
    `static java.util.List` | `getListOfStringsMatchingLastWord(java.lang.String[] par0ArrayOfStr, java.lang.String... par1ArrayOfStr)`
    `static EntityPlayerMP` | `getPlayer(ICommandSender par0ICommandSender, java.lang.String par1Str)`
    `int` | `getRequiredPermissionLevel()`
    `boolean` | `isUsernameIndex(java.lang.String[] par1ArrayOfStr, int par2)`
    `static IChatComponent` | `joinNiceString(IChatComponent[] p_147177_0_)`
    `static java.lang.String` | `joinNiceString(java.lang.Object[] par0ArrayOfObj)`
    `static java.lang.String` | `joinNiceStringFromCollection(java.util.Collection par0Collection)`
    `static void` | `notifyAdmins(ICommandSender par0ICommandSender, int par1, java.lang.String par2Str, java.lang.Object... par3ArrayOfObj)`
    `static void` | `notifyAdmins(ICommandSender par0ICommandSender, java.lang.String par1Str, java.lang.Object... par2ArrayOfObj)`
    `static boolean` | `parseBoolean(ICommandSender par0ICommandSender, java.lang.String par1Str)`
    `static double` | `parseDouble(ICommandSender par0ICommandSender, java.lang.String par1Str)`
    `static double` | `parseDoubleBounded(ICommandSender par0ICommandSender, java.lang.String par1Str, double par2, double par4)`
    `static double` | `parseDoubleWithMin(ICommandSender par0ICommandSender, java.lang.String par1Str, double par2)`
    `static int` | `parseInt(ICommandSender par0ICommandSender, java.lang.String par1Str)`
    `static int` | `parseIntBounded(ICommandSender par0ICommandSender, java.lang.String par1Str, int par2, int par3)`
    `static int` | `parseIntWithMin(ICommandSender par0ICommandSender, java.lang.String par1Str, int par2)`
    `static void` | `setAdminCommander(IAdminCommand par0IAdminCommand)`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

    - ### Methods inherited from interface net.minecraft.command.ICommand

      `getCommandName, getCommandUsage, processCommand`

- - ### Constructor Detail

    - #### CommandBase

          public CommandBase()

  - ### Method Detail

    - #### getRequiredPermissionLevel

          public int getRequiredPermissionLevel()

    - #### getCommandAliases

          public java.util.List getCommandAliases()

      Specified by:
        `getCommandAliases` in interface `ICommand`

    - #### canCommandSenderUseCommand

          public boolean canCommandSenderUseCommand(ICommandSender par1ICommandSender)

      Specified by:
        `canCommandSenderUseCommand` in interface `ICommand`

    - #### addTabCompletionOptions

          public java.util.List addTabCompletionOptions(ICommandSender par1ICommandSender,
                                               java.lang.String[] par2ArrayOfStr)

      Specified by:
        `addTabCompletionOptions` in interface `ICommand`

    - #### parseInt

          public static int parseInt(ICommandSender par0ICommandSender,
                     java.lang.String par1Str)

    - #### parseIntWithMin

          public static int parseIntWithMin(ICommandSender par0ICommandSender,
                            java.lang.String par1Str,
                            int par2)

    - #### parseIntBounded

          public static int parseIntBounded(ICommandSender par0ICommandSender,
                            java.lang.String par1Str,
                            int par2,
                            int par3)

    - #### parseDouble

          public static double parseDouble(ICommandSender par0ICommandSender,
                           java.lang.String par1Str)

    - #### parseDoubleWithMin

          public static double parseDoubleWithMin(ICommandSender par0ICommandSender,
                                  java.lang.String par1Str,
                                  double par2)

    - #### parseDoubleBounded

          public static double parseDoubleBounded(ICommandSender par0ICommandSender,
                                  java.lang.String par1Str,
                                  double par2,
                                  double par4)

    - #### parseBoolean

          public static boolean parseBoolean(ICommandSender par0ICommandSender,
                             java.lang.String par1Str)

    - #### getCommandSenderAsPlayer

          public static EntityPlayerMP getCommandSenderAsPlayer(ICommandSender par0ICommandSender)

    - #### getPlayer

          public static EntityPlayerMP getPlayer(ICommandSender par0ICommandSender,
                                 java.lang.String par1Str)

    - #### func_96332_d

          public static java.lang.String func_96332_d(ICommandSender par0ICommandSender,
                                      java.lang.String par1Str)

    - #### func_147178_a

          public static IChatComponent func_147178_a(ICommandSender p_147178_0_,
                                     java.lang.String[] p_147178_1_,
                                     int p_147178_2_)

    - #### func_147176_a

          public static IChatComponent func_147176_a(ICommandSender p_147176_0_,
                                     java.lang.String[] p_147176_1_,
                                     int p_147176_2_,
                                     boolean p_147176_3_)

    - #### func_82360_a

          public static java.lang.String func_82360_a(ICommandSender par0ICommandSender,
                                      java.lang.String[] par1ArrayOfStr,
                                      int par2)

    - #### func_110666_a

          public static double func_110666_a(ICommandSender par0ICommandSender,
                             double par1,
                             java.lang.String par3Str)

    - #### func_110665_a

          public static double func_110665_a(ICommandSender par0ICommandSender,
                             double par1,
                             java.lang.String par3Str,
                             int par4,
                             int par5)

    - #### getItemByText

          public static Item getItemByText(ICommandSender p_147179_0_,
                           java.lang.String p_147179_1_)

    - #### getBlockByText

          public static Block getBlockByText(ICommandSender p_147180_0_,
                             java.lang.String p_147180_1_)

    - #### joinNiceString

          public static java.lang.String joinNiceString(java.lang.Object[] par0ArrayOfObj)

    - #### joinNiceString

          public static IChatComponent joinNiceString(IChatComponent[] p_147177_0_)

    - #### joinNiceStringFromCollection

          public static java.lang.String joinNiceStringFromCollection(java.util.Collection par0Collection)

    - #### doesStringStartWith

          public static boolean doesStringStartWith(java.lang.String par0Str,
                                    java.lang.String par1Str)

    - #### getListOfStringsMatchingLastWord

          public static java.util.List getListOfStringsMatchingLastWord(java.lang.String[] par0ArrayOfStr,
                                                        java.lang.String... par1ArrayOfStr)

    - #### getListOfStringsFromIterableMatchingLastWord

          public static java.util.List getListOfStringsFromIterableMatchingLastWord(java.lang.String[] par0ArrayOfStr,
                                                                    java.lang.Iterable par1Iterable)

    - #### isUsernameIndex

          public boolean isUsernameIndex(java.lang.String[] par1ArrayOfStr,
                                int par2)

      Specified by:
        `isUsernameIndex` in interface `ICommand`

    - #### notifyAdmins

          public static void notifyAdmins(ICommandSender par0ICommandSender,
                          java.lang.String par1Str,
                          java.lang.Object... par2ArrayOfObj)

    - #### notifyAdmins

          public static void notifyAdmins(ICommandSender par0ICommandSender,
                          int par1,
                          java.lang.String par2Str,
                          java.lang.Object... par3ArrayOfObj)

    - #### setAdminCommander

          public static void setAdminCommander(IAdminCommand par0IAdminCommand)

    - #### compareTo

          public int compareTo(ICommand par1ICommand)

    - #### compareTo

          public int compareTo(java.lang.Object par1Obj)

      Specified by:
        `compareTo` in interface `java.lang.Comparable`